# URIResolver Class Reference

This is an abstract class used to resolve URIs in different ways. More...

`#include <URIResolver.hpp>`

List of all members.

## Public Member Functions

virtual | ~URIResolver ()
virtual bool | resolveDocument (Sequence &result, const XMLCh *uri, DynamicContext *context)=0
virtual bool | resolveCollection (Sequence &result, const XMLCh *uri, DynamicContext *context)=0
virtual bool | resolveDefaultCollection (Sequence &result, DynamicContext *context)=0

## Detailed Description

This is an abstract class used to resolve URIs in different ways.

## Constructor & Destructor Documentation

virtual URIResolver::~URIResolver | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool URIResolver::resolveCollection | ( | Sequence & | result,
|  | const XMLCh * | uri,
|  | DynamicContext * | context
| ) | `[pure virtual]`

virtual bool URIResolver::resolveDefaultCollection | ( | Sequence & | result,
|  | DynamicContext * | context
| ) | `[pure virtual]`

virtual bool URIResolver::resolveDocument | ( | Sequence & | result,
|  | const XMLCh * | uri,
|  | DynamicContext * | context
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- URIResolver.hpp